﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DiagramTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			//DataTemplate innerTemplate = new DataTemplate();
			//FrameworkElementFactory factory = new FrameworkElementFactory(typeof(ContentPresenter));
			//factory.SetBinding(ContentPresenter.ContentProperty, new Binding(dropDownHeader));
			//innerTemplate.VisualTree = factory;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			//// One way to set template in code-behind:
			var newShape1 = new RadDiagramShape();
			newShape1.ContentTemplate = this.Resources["dataTemplate"] as DataTemplate;

			//// Another way to set template in code-behind:
			var newShape2 = new RadDiagramShape() { Position = new Point(100, 100) };
			DataTemplate template = new DataTemplate();
			FrameworkElementFactory factory = new FrameworkElementFactory(typeof(StackPanel));
			var textBlock = new FrameworkElementFactory(typeof(TextBlock));
			textBlock.SetValue(TextBlock.ForegroundProperty, Brushes.Yellow);
			textBlock.SetValue(TextBlock.TextProperty, "Some text2");
			var button = new FrameworkElementFactory(typeof(Button));
			button.SetValue(Button.HeightProperty, 30d);
			factory.AppendChild(textBlock);
			factory.AppendChild(button);
			template.VisualTree = factory;
			newShape2.ContentTemplate = template;

			this.diagram.AddShape(newShape1);
			this.diagram.AddShape(newShape2);
		}
	}
}
